StripeInformation (ORC Core 1.6.6 API)
Date: 2021-01-13

org.apache.orc

## Interface StripeInformation

- All Known Implementing Classes:
    ReaderImpl.StripeInformationImpl

      public interface StripeInformation

  Information about the stripes in an ORC file that is provided by the Reader.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getDataLength()` Get the length of the stripe's data.
    `byte[][]` | `getEncryptedLocalKeys()` Get the encrypted keys starting from this stripe until overridden by a new set in a following stripe.
    `long` | `getEncryptionStripeId()` Get the original stripe id that was used when the stripe was originally written.
    `long` | `getFooterLength()` Get the length of the stripe's tail section, which contains its index.
    `long` | `getIndexLength()` Get the length of the stripe's indexes.
    `long` | `getLength()` Get the total length of the stripe in bytes.
    `long` | `getNumberOfRows()` Get the number of rows in the stripe.
    `long` | `getOffset()` Get the byte offset of the start of the stripe.
    `long` | `getStripeId()` Get the index of this stripe in the current file.
    `boolean` | `hasEncryptionStripeId()` Does this stripe have an explicit encryption stripe id set?

- - ### Method Detail

    - #### getOffset

          long getOffset()

      Get the byte offset of the start of the stripe.
      Returns:
        the bytes from the start of the file

    - #### getLength

          long getLength()

      Get the total length of the stripe in bytes.
      Returns:
        the number of bytes in the stripe

    - #### getIndexLength

          long getIndexLength()

      Get the length of the stripe's indexes.
      Returns:
        the number of bytes in the index

    - #### getDataLength

          long getDataLength()

      Get the length of the stripe's data.
      Returns:
        the number of bytes in the stripe

    - #### getFooterLength

          long getFooterLength()

      Get the length of the stripe's tail section, which contains its index.
      Returns:
        the number of bytes in the tail

    - #### getNumberOfRows

          long getNumberOfRows()

      Get the number of rows in the stripe.
      Returns:
        a count of the number of rows

    - #### getStripeId

          long getStripeId()

      Get the index of this stripe in the current file.
      Returns:
        0 to number_of_stripes - 1

    - #### hasEncryptionStripeId

          boolean hasEncryptionStripeId()

      Does this stripe have an explicit encryption stripe id set?
      Returns:
        true if this stripe was the first stripe of a merge

    - #### getEncryptionStripeId

          long getEncryptionStripeId()

      Get the original stripe id that was used when the stripe was originally written. This is only different that getStripeId in merged files.
      Returns:
        the original stripe id + 1

    - #### getEncryptedLocalKeys

          byte[][] getEncryptedLocalKeys()

      Get the encrypted keys starting from this stripe until overridden by a new set in a following stripe. The top level array is one for each encryption variant. Each element is an encrypted key.
      Returns:
        the array of encrypted keys

Copyright © 2013–2021 The Apache Software Foundation. All rights reserved.